﻿local G, F, C, L = unpack(select(2,...))
local _
local function TestFunc()
if AddUIDB.smap ==  false  then return end

--隐藏一些东西
MinimapBorderTop:Hide()						--顶部材质
MinimapBorder:Hide()						--地图边框
MinimapZoneTextButton:SetParent(Minimap)			--地理位置文字
MinimapZoneTextButton:ClearAllPoints()
MinimapZoneTextButton:SetPoint("BOTTOM", Minimap, "TOP", 0, 5)	--地理位置文字位置
MiniMapTracking:Hide()						--查询按钮
MiniMapWorldMapButton:Hide()				--世界地图图标
MinimapZoomIn:Hide()						--放大图标
MinimapZoomOut:Hide()						--缩小图标
--Minimap:SetQuestBlobRingScalar(0)			--任务追踪环形网格
MinimapNorthTag:Hide()						--北标签
--GameTimeFrame:Hide()						--日历
GameTimeFrame:Hide()--怀旧日历是大太阳

--边框材质
Minimap:SetMaskTexture([=[Interface\ChatFrame\ChatFrameBackground]=])
function GetMinimapShape() return "SQUARE" end

function CreateShadow(f)
	if f.shadow then return end
	local color = RAID_CLASS_COLORS[select(2, UnitClass("player"))]
	local shadow = CreateFrame("Frame", nil, f, "BackdropTemplate")
	shadow:SetFrameLevel(0)
	shadow:SetFrameStrata(f:GetFrameStrata())
	shadow:SetPoint("TOPLEFT", -1, 1)
	shadow:SetPoint("BOTTOMRIGHT", 1, -1)
	shadow:SetBackdrop{edgeFile = 'Interface\\Buttons\\WHITE8x8',edgeSize = 2}
	shadow:SetBackdropBorderColor(color.r, color.g, color.b, 1)
	f.shadow = shadow
	return shadow
end
CreateShadow(Minimap)

--时钟
LoadAddOn('Blizzard_TimeManager')
local clockFrame, clockTime = TimeManagerClockButton:GetRegions()
clockFrame:Hide()
clockTime:Show()
clockTime:SetFont("fonts\\ARHei.ttf", 15, "OUTLINE")

---小地图邮箱位置
local mm = MiniMapMailFrame
mm:ClearAllPoints()
mm:SetPoint("topright", Minimap, 17, -55)	--小地图邮箱位置

--[鼠标滚轴缩放]------------------------------------------------------
Minimap:EnableMouseWheel(true)
Minimap:SetScript("OnMouseWheel", function(_, zoom)
    if zoom > 0 then
        Minimap_ZoomIn()
    else
        Minimap_ZoomOut()
    end
end)

--[小地图地图右键点击查询]--------------------------------
Minimap:SetScript("OnMouseUp", function(self, btn) 
   if btn == "RightButton" then 
      ToggleDropDownMenu(1, nil, MiniMapTrackingDropDown, "MiniMapTracking", 0, -5) 
      PlaySound("856") 
   else 
      Minimap_OnClick(self) 
   end 
end)

--谁在点小地图
local addon = CreateFrame('ScrollingMessageFrame', nil, Minimap)
addon:SetHeight(40)
addon:SetWidth(200)
addon:SetPoint('BOTTOM', Minimap, 0, -31)
addon:SetFont(ChatFontNormal:GetFont(), 14, 'OUTLINE')
addon:SetJustifyH'CENTER'
addon:SetJustifyV'CENTER'
addon:SetMaxLines(1)
addon:SetFading(true)
addon:SetFadeDuration(1)
addon:SetTimeVisible(8)
addon:RegisterEvent'MINIMAP_PING'
addon:SetScript('OnEvent', function(self, event, u)
  local c = RAID_CLASS_COLORS[select(2,UnitClass(u))]
  local name = UnitName(u)
  local pname = UnitName("player")
if(name ~= pname or name == pname) then
addon:AddMessage("|cffffffff"..UnitLevel(u).."|r "..name, c.r, c.g, c.b);
--DEFAULT_CHAT_FRAME:AddMessage("点击小地图：|cffffffff"..UnitLevel(u).."|r "..name, c.r, c.g, c.b); 	--在聊天栏显示
end
end)
_G.yPing = addon 

-- 大地图输入坐标标记https://bbs.nga.cn/read.php?tid=24183736&_fp=3
-- 输入坐标标记位置
local WayPointPositionButton = CreateFrame("Button", "WayPointPositionButton", WorldMapFrame.BorderFrame, "UIPanelButtonTemplate")
WayPointPositionButton:SetWidth(50)
WayPointPositionButton:SetHeight(18)
-- WayPointPositionButton.Font = WayPointPositionButton:CreateFontString(nil,nil)
-- WayPointPositionButton.Font:SetFont("Fonts\\ZYKai_T.ttf",12)
-- WayPointPositionButton:SetFontString(WayPointPositionButton.Font)
WayPointPositionButton:SetText("定位")
WayPointPositionButton:SetPoint("LEFT", WorldMapFrame.BorderFrame.Tutorial, "RIGHT", -20, 1)
WayPointPositionButton:SetScript("OnShow", function() WayPointContainer:Close() end)

-- 设置目标位置
function WayPointPositionButton:SetWayPoint(desX, desY)
    local currentViewMapID = WorldMapFrame:GetMapID()
    if C_Map.CanSetUserWaypointOnMap(currentViewMapID) then
        local point = UiMapPoint.CreateFromCoordinates(currentViewMapID, desX / 100, desY / 100)
        C_Map.SetUserWaypoint(point)
        C_SuperTrack.SetSuperTrackedUserWaypoint(true);
    else
        print("|cFFFF0000当前地图无法标记！|r")
    end
end

-- 点击定位按钮
function WayPointPositionButton.OnClick(button, down)
    local currentViewMapID = WorldMapFrame:GetMapID()
    if not C_Map.CanSetUserWaypointOnMap(currentViewMapID) then
        print("|cFFFF0000当前地图无法标记！|r")
        return
    end
    C_Map.ClearUserWaypoint()
    C_SuperTrack.SetSuperTrackedUserWaypoint(false);
    if WayPointContainer then
        if WayPointContainer:IsShown() then
            local xl = WayPointContainer.CoordX:GetText():len()
            local yl = WayPointContainer.CoordY:GetText():len()
            if xl ~= 0 and yl ~= 0 then
                local x = WayPointContainer.CoordX:GetNumber()
                local y = WayPointContainer.CoordY:GetNumber()
                WayPointPositionButton:SetWayPoint(x, y)
            end
            WayPointContainer:Close()
        else
            WayPointContainer:Show()
            WayPointContainer.CoordX:SetFocus()
        end
    end
end
WayPointPositionButton:SetScript("OnClick", WayPointPositionButton.OnClick)

local WayPointContainer = CreateFrame("Frame", "WayPointContainer", WorldMapFrame)
WayPointContainer:SetFrameStrata("DIALOG")
WayPointContainer:SetPoint("BOTTOM", WayPointPositionButton, "TOP", 0, 5)
WayPointContainer:SetWidth(100)
WayPointContainer:SetHeight(25)

function WayPointContainer:Close()
    WayPointContainer.CoordX:SetText("")
    WayPointContainer.CoordX:ClearFocus()
    WayPointContainer.CoordY:SetText("")
    WayPointContainer.CoordY:ClearFocus()
    WayPointContainer:Hide()
end

-- 输入tab
local function OnCoordTabPressed(editBox)
    if editBox == WayPointContainer.CoordX then
        WayPointContainer.CoordX:ClearFocus()
        WayPointContainer.CoordY:SetFocus()
    else
        WayPointContainer.CoordY:ClearFocus()
        WayPointContainer.CoordX:SetFocus()
    end
end

-- 输入回车
local function OnCoordEnterPressed(editBox)
    if editBox == WayPointContainer.CoordX then
        if editBox:GetText():len() ~= 0 then
            WayPointContainer.CoordX:ClearFocus()
            WayPointContainer.CoordY:SetFocus()
        end
    else
        if WayPointContainer.CoordX:GetText():len() ~= 0 and
            WayPointContainer.CoordY:GetText():len() ~= 0 then
            local x = WayPointContainer.CoordX:GetNumber()
            local y = WayPointContainer.CoordY:GetNumber()
            WayPointPositionButton:SetWayPoint(x, y)
            WayPointContainer:Close()
        elseif WayPointContainer.CoordY:GetText():len() ~= 0 and
            WayPointContainer.CoordX:GetText():len() == 0 then
            WayPointContainer.CoordY:ClearFocus()
            WayPointContainer.CoordX:SetFocus()
        end
    end
end

WayPointContainer.CoordY = CreateFrame("EditBox", "WayPointCoordY", WayPointContainer, "InputBoxTemplate")
WayPointContainer.CoordY:SetAutoFocus(false)
WayPointContainer.CoordY:SetSize(30, 20)
WayPointContainer.CoordY:SetNumeric(true)
WayPointContainer.CoordY:SetMaxLetters(2)
WayPointContainer.CoordY:SetPoint("LEFT", WayPointContainer, "CENTER", 75, -25)
WayPointContainer.CoordY:SetScript("OnTabPressed", OnCoordTabPressed)
WayPointContainer.CoordY:SetScript("OnEnterPressed", OnCoordEnterPressed)

WayPointContainer.CoordX = CreateFrame("EditBox", "WayPointCoordX", WayPointContainer, "InputBoxTemplate")
WayPointContainer.CoordX:SetAutoFocus(false)
WayPointContainer.CoordX:SetSize(30, 20)
WayPointContainer.CoordX:SetNumeric(true)
WayPointContainer.CoordX:SetMaxLetters(2)
WayPointContainer.CoordX:SetPoint("RIGHT", WayPointContainer, "CENTER", 65, -25)
WayPointContainer.CoordX:SetScript("OnTabPressed", OnCoordTabPressed)
WayPointContainer.CoordX:SetScript("OnEnterPressed", OnCoordEnterPressed)

WayPointContainer:Hide()

end
G:RegisterEvent("PLAYER_LOGIN",TestFunc)